=== debian/changelog ===
uw-imap (8:2007f~dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/rules: replace deprecated . with : in chown call
  * Stop ignoring build errors
  * Fix FTBFS with gcc-14 (Closes: #1075612)
  * Declare Rules-Requires-Root: binary-targets

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 31 Dec 2024 10:43:13 +0100

uw-imap (8:2007f~dfsg-7) unstable; urgency=low

  * 2014_openssl1.1.1_sni.patch (new, from Ubuntu): Use SNI when building
    with OpenSSL 1.1.1 / TLSv1.3 support, since some servers (e.g.,
    imap.gmail.com, imap.mail.att.net) require SNI on TLSv1.3 to pass
    certificate verification (Closes: #916041). Thanks to Ed Spiridonov
    and David Zuelke.
  * 1005_poll.patch: Use poll(2) instead of select(2) for SSL connections
    as well (Closes: #770022).
  * 1001_shlibs.patch, 2012_krb5_multidev.patch, debian/rules: Make cross
    compilation work by not hard-coding the compiler and by letting
    dh_auto_build set the variables correctly (Closes: #876074). Thanks to
    Helmut Grohne.
  * 1002_fix_ftbfs.patch: Correct the order of arguments to syslog(),
    which has been wrong all these years, and rename to more descriptive
    1002_flock_fix_syslog_args.patch.
  * Bump Standards-Version to 4.4.0. (Not renaming libc-client2007e-dev
    now, but if the soname should need to change sometime in the future.)

 -- Magnus Holmgren <holmgren@debian.org>  Mon, 26 Aug 2019 22:52:52 +0200

uw-imap (8:2007f~dfsg-6) unstable; urgency=medium

  * [CVE-2018-19518] 2013_disable_rsh.patch (new): Disable access to IMAP
    mailboxes through running imapd over rsh, and therefore ssh (Closes:
    #914632). Code using the library can enable it with tcp_parameters()
    after making sure that the IMAP server name is sanitized.
  * Change Priority: extra of -dev package to optional.
  * Move git repository to salsa.debian.org.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 27 Feb 2019 00:08:08 +0100

uw-imap (8:2007f~dfsg-5) unstable; urgency=low

  * 1006_openssl1.1_autoverify.patch (new): Use new features for
    validating certificates when building with OpenSSL 1.1 (Closes:
    #828589). Thanks to Sebastian Andrzej Siewior and Kurt Roeckx for
    help.
  * Switch to Debhelper compat level 9.
  * Bump Standards-Version to 3.9.8.
  * Update Build-Depends with cdbs.

 -- Magnus Holmgren <holmgren@debian.org>  Wed, 23 Nov 2016 22:25:10 +0100

uw-imap (8:2007f~dfsg-4) unstable; urgency=medium

  * 2012_krb5_multidev.patch: Fix typo mixing up --cflags and --libs
    causing libc-client not to be linked to the kerberos libraries
    (Closes: #766526).
  * Tell d-shlibmove to substitute krb5-multidev for libkrb5-dev.

 -- Magnus Holmgren <holmgren@debian.org>  Fri, 24 Oct 2014 22:40:53 +0200

uw-imap (8:2007f~dfsg-3) unstable; urgency=low

  * 2012_krb5_multidev.patch (new): Depend on krb5-multidev rather than
    libkrb5-dev (Closes: #745333). Thanks to Jelmer Vernooij.
  * 1005_poll.patch (new): Use poll(2) instead of select(2) to support
    more than 1024 file descriptors (Closes: #478193). Thanks to Ben
    Smithurst.
  * Bump Standards-Version to 3.9.6.

 -- Magnus Holmgren <holmgren@debian.org>  Sun, 19 Oct 2014 23:01:35 +0200

uw-imap (8:2007f~dfsg-2) unstable; urgency=medium

  * New maintainer (Closes: #686448).
  * Disable unnecessarily strict version check (Closes: #682256).

 -- Magnus Holmgren <holmgren@debian.org>  Thu, 25 Oct 2012 23:00:39 +0200

uw-imap (8:2007f~dfsg-1) unstable; urgency=low

  * New upstream release.
    Closes: bug#656074. Thanks to Ivan Shmakov.

  * Stop shipping uw-imapd or ipopd daemons: Code is in bad shape and
    better alternatives exist.
  * Lower Priority of libc-client-*-dev to extra: Depends on similarly
    prioritized comerr-dev and libkrb5-dev.
  * Drop locally included CDBS snippets: Adopted upstream.
  * Use dpkg source format 3.0 (quilt).
    Stop including patchsys-quilt.mk and update README.source to not
    mention quilt.
    Git-ignore quilt .pc subidr.
  * Update rules file licensing header:
    + Extend years, and list them explicitly.
    + Refer to FSF web URL (not postal address).
  * Bump debhelper compat level to 7.
  * Unfuzz patches and refresh using quilt shortening options -pab
    --no-timestamps --no-index.
  * Fix use target build-arch (not build).
    Closes: bug#666288. Thanks to Lucas Nussbaum.
  * Add patch 1003 to properly zero out len when mail_fetch_body()
    returns an empty string.
    Closes: bug#635839. Thanks to Vladimir Kolesnikov and Daniel T Chen.
  * Add patch 1004 to implement support for IMAP extension METADATA
    (rfc5464).
    Closes: bug#456591. Thanks to Mathieu Parent and Kolab project.
  * Explicitly pass LDFLAGS to build, to hopefully include eventual
    hardening flags.
  * Extend patch 1001 to explicitly link against all used Kerberos libs.
    Closes: bug#558968. Thanks to Peter Fritzsche and Matthias Klose.
  * Use anonscm.debian.org for Vcs-Browser field.
  * Update package relations:
    + Sort and newline-delimit package relations.
    + Stop build-depending on quilt or patchutils: unneeded with source
      version 3.0 (quilt).
    + Relax to build-depend unversioned on debhelper and devscripts:
      Required versions satisfied even in oldstable.
    + Tighten build-dependency on cdbs.
    + Stop build-depending on perl: Was used in a CDBS snippet which is
      now dropped.
    + Stop build-depending on po-debconf: Was used for debconf of daemon
      packages which are now dropped.
  * Rewrite copyright file using format 1.0.
  * Fix version in NEWS entry, to silence lintian (sadly it is 6 years
    too late to be of real benefit).
  * Drop stray substvars file from source packaging. Thanks to lintian.
  * Hardcode CDBS-resolved build flags, and stuff CPPFLAGS into CFLAGS,
    to enable hardening.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 29 Jun 2012 13:07:15 +0200

uw-imap (8:2007e~dfsg-3.3) unstable; urgency=low

  * Non-maintainer upload.

