=== debian/control ===
Source: uw-imap
Priority: optional
Section: mail
Maintainer: Magnus Holmgren <holmgren@debian.org>
Standards-Version: 4.4.0
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 licensecheck,
 libpam-dev,
 krb5-multidev,
 comerr-dev,
 libssl-dev,
 d-shlibs
Vcs-Git: https://salsa.debian.org/holmgren/uw-imap.git
Vcs-Browser: https://salsa.debian.org/holmgren/uw-imap
Homepage: http://www.washington.edu/imap/
Rules-Requires-Root: binary-targets

Package: libc-client2007e-dev
Section: libdevel
Architecture: any
Depends: ${devlibs:Depends},
 ${misc:Depends},
 libc-client2007e (= ${binary:Version})
Conflicts: libc-client-dev
Replaces: libc-client-dev
Provides: libc-client-dev
Description: c-client library for mail protocols - development files
 IMAP (Internet Message Access Protocol) is a method of accessing
 electronic messages kept on a (possibly shared) mail server.
 .
 The UW (University of Washington) IMAP toolkit provides the c-client
 mail-handling library supporting various network transport methods,
 file system storage formats, and authentication and authorization
 methods.
 .
 This package contains the static c-client library and development
 headers.

Package: libc-client2007e
Section: libs
Architecture: any
Depends: ${cdbs:Depends},
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: ${cdbs:Suggests}
Description: c-client library for mail protocols - library files
 IMAP (Internet Message Access Protocol) is a method of accessing
 electronic messages kept on a (possibly shared) mail server.
 .
 The UW (University of Washington) IMAP toolkit provides the c-client
 mail-handling library supporting various network transport methods,
 file system storage formats, and authentication and authorization
 methods.
 .
 This package contains the shared c-client library.

Package: mlock
Section: mail
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: mailbox locking program
 IMAP (Internet Message Access Protocol) is a method of accessing
 electronic messages kept on a (possibly shared) mail server.
 .
 The UW (University of Washington) IMAP toolkit provides the c-client
 mail-handling library supporting various network transport methods,
 file system storage formats, and authentication and authorization
 methods.
 .
 This package contains a program to lock mailbox files to avoid
 corruption.

Package: uw-mailutils
Section: mail
Architecture: any
Depends: ${misc:Depends},
 ${shlibs:Depends}
Description: c-client support programs
 IMAP (Internet Message Access Protocol) is a method of accessing
 electronic messages kept on a (possibly shared) mail server.
 .
 The UW (University of Washington) IMAP toolkit provides the c-client
 mail-handling library supporting various network transport methods,
 file system storage formats, and authentication and authorization
 methods.
 .
 This package contains helper tools for the libc-client library:
  - mailutil: utility program which helps manage email mailboxes (both
              local and IMAP/POP3/NNTP);
  - dmail:    MDA (Mail Delivery Agent) for use with procmail;
  - tmail:    MDA for use with the system mailer (such as Sendmail or Postfix).
